Package com.logicaldoc.core.folder

# Interface FolderListener

All Known Implementing Classes:
  `FolderInitializer`, `FolderValidator`

public interface FolderListener
This interface defines hooks called before and after a particular event occurs on the specified folder.

Each methods has access to a dictionary map that can be used through the execution pipeline in order to carry needed informations among all listeners.

Since:
  8.7.4
Author:
  Marco Meschieri - LogicalDOC

## Method Summary

Modifier and Type
Method
Description
`void`
`afterStore(Folder folder, FolderHistory transaction, Map<String,Object> dictionary)`
Called after a folder is stored in the database
`void`
`beforeStore(Folder folder, FolderHistory transaction, Map<String,Object> dictionary)`
Called before a folder is stored in the database

## Method Details

### beforeStore

void beforeStore(Folder folder, FolderHistory transaction, Map<String,Object> dictionary) throws PersistenceException
Called before a folder is stored in the database

Parameters:
  `folder` - The folder to be stored
  `transaction` - Transaction informations
  `dictionary` - Dictionary of the execution pipeline
Throws:
  `PersistenceException` - raised if something went wrong

### afterStore

void afterStore(Folder folder, FolderHistory transaction, Map<String,Object> dictionary) throws PersistenceException
Called after a folder is stored in the database

Parameters:
  `folder` - The folder to be stored
  `transaction` - Transaction informations
  `dictionary` - Dictionary of the execution pipeline
Throws:
  `PersistenceException` - raised if something went wrong